Loading...
Searching...
No Matches
dolfin::TableEntry Class Reference

This class represents an entry in a Table. More...

`#include <Table.h>`

## Public Member Functions

| TableEntry (std::string row, std::string col, Table &table)
| Create table entry.
| ~TableEntry ()
| Destructor.
const TableEntry & | operator= (std::size_t value)
| Assign value to table entry.
const TableEntry & | operator= (int value)
| Assign value to table entry.
const TableEntry & | operator= (double value)
| Assign value to table entry.
const TableEntry & | operator= (std::string value)
| Assign value to table entry.
| operator std::string () const
| Cast to entry value.

## Detailed Description

This class represents an entry in a Table.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/log/Table.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/log/Table.cpp